Index: branches/HTM-11.1-dev0/source/App/TAppDecoder/TAppDecTop.cpp
===================================================================
--- branches/HTM-11.1-dev0/source/App/TAppDecoder/TAppDecTop.cpp	(revision 972)
+++ branches/HTM-11.1-dev0/source/App/TAppDecoder/TAppDecTop.cpp	(revision 973)
@@ -71,5 +71,5 @@
 #endif
 
-#if H_MV_HLS_7_VPS_P0300_27
+#if H_MV
     m_markedForOutput = false; 
 #endif
@@ -161,7 +161,5 @@
   Int  pocLastPic        = -MAX_INT;   
 
-#if H_MV_HLS_7_VPS_P0300_27
   Int  layerIdLastPic    = -MAX_INT; 
-#endif
   Int  layerIdCurrPic    = 0; 
 
@@ -216,7 +214,5 @@
           || (nalu.m_nalUnitType == NAL_UNIT_VPS && nalu.m_layerId > 0)           
           || (nalu.m_nalUnitType == NAL_UNIT_EOB && nalu.m_layerId > 0)    
-#if H_MV_HLS_8_MIS_Q0177_47
           || (nalu.m_nalUnitType == NAL_UNIT_EOS && nalu.m_layerId > 0)    
-#endif
          ) 
       {
@@ -237,5 +233,4 @@
         // - nalu.isSlice() == true      
 
-#if H_MV_HLS_7_VPS_P0300_27
         if ( nalu.m_nalUnitType == NAL_UNIT_VPS )
         {
@@ -244,10 +239,4 @@
           {
             TComVPS* vps = m_vps; 
-#else
-        // Update TargetDecLayerIdList only when not specified by layer id file, specification by file might actually out of conformance. 
-        if (nalu.m_nalUnitType == NAL_UNIT_VPS && m_targetDecLayerIdSetFileEmpty )
-        {
-          TComVPS* vps = m_tDecTop[decIdx]->getPrefetchedVPS(); 
-#endif
           if ( m_targetOptLayerSetIdx == -1 )
           {
@@ -255,10 +244,9 @@
             m_targetOptLayerSetIdx = vps->getVpsNumLayerSetsMinus1(); 
           }
-#if H_MV_HLS_8_HRD_Q0102_08
+
           for (Int dI = 0; dI < m_numDecoders; dI++ )
           {
             m_tDecTop[decIdx]->setTargetOptLayerSetIdx( m_targetOptLayerSetIdx ); 
           }
-#endif
 
           if ( m_targetOptLayerSetIdx < 0 || m_targetOptLayerSetIdx >= vps->getNumOutputLayerSets() )
@@ -269,7 +257,5 @@
           m_targetDecLayerIdSet = vps->getTargetDecLayerIdList( m_targetOptLayerSetIdx ); 
         }
-#if H_MV_HLS_7_VPS_P0300_27
-      }
-#endif
+      }
 #if H_3D
         if (nalu.m_nalUnitType == NAL_UNIT_VPS )
@@ -289,7 +275,5 @@
         if ( bNewPicture || !bitstreamFile )
         { 
-#if H_MV_HLS_7_VPS_P0300_27
           layerIdLastPic    = layerIdCurrPic; 
-#endif
           layerIdCurrPic    = nalu.m_layerId; 
           pocLastPic        = pocCurrPic; 
@@ -340,7 +324,5 @@
         assert( decIdxLastPic != -1 ); 
         m_tDecTop[decIdxLastPic]->endPicDecoding(poc, pcListPic, m_targetDecLayerIdSet );
-#if H_MV_HLS_7_VPS_P0300_27
         xMarkForOutput( allLayersDecoded, poc, layerIdLastPic ); 
-#endif
 #else
         m_cTDecTop.executeLoopFilters(poc, pcListPic);
@@ -799,5 +781,5 @@
         }
         pcPic->setOutputMark(false);
-#if H_MV_HLS_7_VPS_P0300_27
+#if H_MV
         pcPic->setPicOutputFlag(false);
 #endif
@@ -985,5 +967,5 @@
         }
         pcPic->setOutputMark(false);
-#if H_MV_HLS_7_VPS_P0300_27
+#if H_MV
         pcPic->setPicOutputFlag(false);
 #endif
@@ -1061,7 +1043,5 @@
     m_tDecTop[ decIdx ]->setIvPicLists( &m_ivPicLists ); 
     m_tDecTop[ decIdx ]->setLayerInitilizedFlags( m_layerInitilizedFlags );
-#if    H_MV_HLS_8_HRD_Q0102_08
     m_tDecTop[ decIdx ]->setTargetOptLayerSetIdx( m_targetOptLayerSetIdx );    
-#endif
 
 #if H_3D
@@ -1099,6 +1079,4 @@
 }
 
-
-#if H_MV_HLS_7_VPS_P0300_27
 Void TAppDecTop::xMarkForOutput( Bool allLayersDecoded, Int pocLastPic, Int layerIdLastPic )
 {  
@@ -1152,5 +1130,39 @@
   }
 }
-#endif
+
+Void TAppDecTop::xMarkAltOutPic( Int targetOutputLayer, Int pocLastPic )
+{
+  Int optLayerIdxInVps = m_vps->getLayerIdInNuh( targetOutputLayer ); 
+  Int highestNuhLayerId = -1; 
+  TComPic* picWithHighestNuhLayerId = NULL; 
+  for (Int dIdx = 0; dIdx < m_numDecoders; dIdx++)
+  {
+    Int curLayerId = m_tDecTop[dIdx]->getLayerId();
+    Int curLayerIdxInVps = m_vps->getLayerIdInNuh( curLayerId  ); 
+    if ( m_vps->getInDirectDependencyFlag(optLayerIdxInVps, curLayerIdxInVps ) )
+    {
+      TComPic* curPic = m_ivPicLists.getPic( curLayerId, pocLastPic ); 
+      if (curPic != NULL)
+      {
+        if (curPic->getReconMark() && curPic->getPicOutputFlag() )
+        {
+          curPic->setOutputMark   ( false ); 
+          curPic->setPicOutputFlag( false ); 
+          if ( curLayerId > highestNuhLayerId)
+          {
+            highestNuhLayerId = curLayerId ; 
+            picWithHighestNuhLayerId = curPic; 
+          }            
+        }
+      }
+    }
+  }
+  if ( picWithHighestNuhLayerId != NULL )
+  {
+    picWithHighestNuhLayerId->setPicOutputFlag(true); 
+    picWithHighestNuhLayerId->setOutputMark   (true); 
+  }
+}
+
 #endif
 //! \}
Index: branches/HTM-11.1-dev0/source/App/TAppDecoder/TAppDecTop.h
===================================================================
--- branches/HTM-11.1-dev0/source/App/TAppDecoder/TAppDecTop.h	(revision 972)
+++ branches/HTM-11.1-dev0/source/App/TAppDecoder/TAppDecTop.h	(revision 973)
@@ -68,7 +68,5 @@
   TComPicLists                    m_ivPicLists;                                ///< picture buffers of decoder instances
   Bool                            m_layerInitilizedFlags[ MAX_NUM_LAYER_IDS ]; ///< for layerwise startup 
-#if H_MV_HLS_7_VPS_P0300_27
   TComVPS*                        m_vps;                                ///< active VPS
-#endif
 #else
   TDecTop                         m_cTDecTop;                     ///< decoder class
@@ -79,11 +77,8 @@
   Int                             m_pocLastDisplay      [ MAX_NUM_LAYERS ]; ///< last POC in display order
   Bool                            m_reconOpen           [ MAX_NUM_LAYERS ]; ///< reconstruction file opened
+  Bool                            m_markedForOutput; 
 #else
   Int                             m_iPOCLastDisplay;              ///< last POC in display order
 #endif
-#if H_MV_HLS_7_VPS_P0300_27
-  Bool                            m_markedForOutput; 
-#endif
-
 
 #if H_3D
@@ -107,40 +102,6 @@
   Void  xWriteOutput      ( TComList<TComPic*>* pcListPic, Int layerId, Int tId ); ///< write YUV to file
 
-#if H_MV_HLS_7_VPS_P0300_27
   Void  xMarkForOutput   ( Bool allLayersDecoded, Int pocLastPic, Int layerIdLastPic );         
-  Void  xMarkAltOutPic    ( Int targetOutputLayer, Int pocLastPic )
-  {
-    Int optLayerIdxInVps = m_vps->getLayerIdInNuh( targetOutputLayer ); 
-    Int highestNuhLayerId = -1; 
-    TComPic* picWithHighestNuhLayerId = NULL; 
-    for (Int dIdx = 0; dIdx < m_numDecoders; dIdx++)
-    {
-      Int curLayerId = m_tDecTop[dIdx]->getLayerId();
-      Int curLayerIdxInVps = m_vps->getLayerIdInNuh( curLayerId  ); 
-      if ( m_vps->getInDirectDependencyFlag(optLayerIdxInVps, curLayerIdxInVps ) )
-      {
-        TComPic* curPic = m_ivPicLists.getPic( curLayerId, pocLastPic ); 
-        if (curPic != NULL)
-        {
-          if (curPic->getReconMark() && curPic->getPicOutputFlag() )
-          {
-            curPic->setOutputMark   ( false ); 
-            curPic->setPicOutputFlag( false ); 
-            if ( curLayerId > highestNuhLayerId)
-            {
-              highestNuhLayerId = curLayerId ; 
-              picWithHighestNuhLayerId = curPic; 
-            }            
-          }
-        }
-      }
-    }
-    if ( picWithHighestNuhLayerId != NULL )
-    {
-      picWithHighestNuhLayerId->setPicOutputFlag(true); 
-      picWithHighestNuhLayerId->setOutputMark   (true); 
-    }
-  }
-#endif
+  Void  xMarkAltOutPic    ( Int targetOutputLayer, Int pocLastPic );
 
   Void  xFlushOutput      ( TComList<TComPic*>* pcListPic, Int layerId ); ///< flush all remaining decoded pictures to file
Index: branches/HTM-11.1-dev0/source/App/TAppEncoder/TAppEncCfg.cpp
===================================================================
--- branches/HTM-11.1-dev0/source/App/TAppEncoder/TAppEncCfg.cpp	(revision 972)
+++ branches/HTM-11.1-dev0/source/App/TAppEncoder/TAppEncCfg.cpp	(revision 973)
@@ -393,7 +393,5 @@
   ("LayerIdsInAddOutputLayerSet_%d", m_layerIdsInAddOutputLayerSet      , std::vector<Int>(0,0), MAX_VPS_ADD_OUTPUT_LAYER_SETS, "Indices in VPS of output layers in additional output layer set")  
   ("LayerIdsInDefOutputLayerSet_%d", m_layerIdsInDefOutputLayerSet      , std::vector<Int>(0,0), MAX_VPS_OP_SETS_PLUS1, "Indices in VPS of output layers in layer set")  
-#if H_MV_HLS_7_VPS_P0300_27
   ("AltOutputLayerFlag",    m_altOutputLayerFlag , std::vector<Bool>(1,0), "Alt output layer flag")
-#endif
   ("ProfileLevelTierIdx",   m_profileLevelTierIdx, std::vector<Int>(1,0), "Indices to profile level tier")
   
@@ -1056,10 +1054,8 @@
   xResizeVector( m_wppInUseFlag ); 
 
-#if H_MV_HLS_7_VPS_P0300_27
   for (Int olsIdx = 0; olsIdx < m_vpsNumLayerSets + (Int) m_outputLayerSetIdx.size(); olsIdx++)
   {    
     m_altOutputLayerFlag.push_back( false );      
   }
-#endif
 #else
   m_aidQP = new Int[ m_framesToBeEncoded + m_iGOPSize + 1 ];
@@ -1463,7 +1459,5 @@
   }
 
-#if H_MV_HLS_7_VPS_P0300_27
   xConfirmPara( m_altOutputLayerFlag.size() < m_vpsNumLayerSets + m_outputLayerSetIdx.size(), "The number of Profile Level Tier indices must be equal to the number of layer set plus the number of output layer set indices" );
-#endif
   xConfirmPara( m_profileLevelTierIdx.size() < m_vpsNumLayerSets + m_outputLayerSetIdx.size(), "The number of Profile Level Tier indices must be equal to the number of layer set plus the number of output layer set indices" );
 
Index: branches/HTM-11.1-dev0/source/App/TAppEncoder/TAppEncCfg.h
===================================================================
--- branches/HTM-11.1-dev0/source/App/TAppEncoder/TAppEncCfg.h	(revision 972)
+++ branches/HTM-11.1-dev0/source/App/TAppEncoder/TAppEncCfg.h	(revision 973)
@@ -94,7 +94,5 @@
   std::vector< std::vector<Int> > m_layerIdsInDefOutputLayerSet; ///< Indices in vps of output layers in layer sets
   std::vector<Int>       m_profileLevelTierIdx;               ///< Indices of of profile level tier
-  #if H_MV_HLS_7_VPS_P0300_27
   std::vector<Bool>      m_altOutputLayerFlag;                ///< Alt output layer flag
-#endif
 
   // Dependencies
Index: branches/HTM-11.1-dev0/source/App/TAppEncoder/TAppEncTop.cpp
===================================================================
--- branches/HTM-11.1-dev0/source/App/TAppEncoder/TAppEncTop.cpp	(revision 972)
+++ branches/HTM-11.1-dev0/source/App/TAppEncoder/TAppEncTop.cpp	(revision 973)
@@ -1280,9 +1280,5 @@
 
   Int  defaultDirectDependencyType = -1; 
-#if MV_FIX_DEP_TYPES
   Bool defaultDirectDependencyFlag = false; 
-#else
-  Bool defaultDirectDependencyFlag = true; 
-#endif
 
   for( Int depLayer = 1; depLayer < m_numberOfLayers; depLayer++ )
@@ -1303,7 +1299,5 @@
       {
         defaultDirectDependencyType = curDirectDependencyType; 
-#if MV_FIX_DEP_TYPES
         defaultDirectDependencyFlag = true; 
-#endif
       }
       
@@ -1644,5 +1638,5 @@
       vps.setProfileLevelTierIdx( olsIdx, m_profileLevelTierIdx[ olsIdx ] ); 
     }
-#if H_MV_HLS_7_VPS_P0300_27
+   
     if ( vps.getNumOutputLayersInOutputLayerSet( olsIdx ) == 1 && 
         vps.getNumDirectRefLayers( vps.getOlsHighestOutputLayerId( olsIdx ) ) )
@@ -1658,7 +1652,4 @@
       }
     }
-#else
-    vps.setAltOutputLayerFlag( olsIdx , false);     
-#endif
   }
 }
Index: branches/HTM-11.1-dev0/source/App/TAppEncoder/TAppEncTop.h
===================================================================
--- branches/HTM-11.1-dev0/source/App/TAppEncoder/TAppEncTop.h	(revision 972)
+++ branches/HTM-11.1-dev0/source/App/TAppEncoder/TAppEncTop.h	(revision 973)
@@ -75,5 +75,5 @@
 
   TComPicLists               m_ivPicLists;                  ///< picture buffers of encoder instances
-#if H_MV_HLS_8
+#if H_MV
   TComVPS*                   m_vps;                         ///< vps
 #else
Index: branches/HTM-11.1-dev0/source/Lib/TLibCommon/TComPic.cpp
===================================================================
--- branches/HTM-11.1-dev0/source/Lib/TLibCommon/TComPic.cpp	(revision 972)
+++ branches/HTM-11.1-dev0/source/Lib/TLibCommon/TComPic.cpp	(revision 973)
@@ -55,5 +55,5 @@
 , m_bReconstructed                        (false)
 , m_bNeededForOutput                      (false)
-#if H_MV_HLS_7_VPS_P0300_27
+#if H_MV
 , m_bPicOutputFlag                        (false)
 #endif
Index: branches/HTM-11.1-dev0/source/Lib/TLibCommon/TComPic.h
===================================================================
--- branches/HTM-11.1-dev0/source/Lib/TLibCommon/TComPic.h	(revision 972)
+++ branches/HTM-11.1-dev0/source/Lib/TLibCommon/TComPic.h	(revision 973)
@@ -69,5 +69,5 @@
   Bool                  m_bReconstructed;
   Bool                  m_bNeededForOutput;
-#if H_MV_HLS_7_VPS_P0300_27
+#if H_MV
   Bool                  m_bPicOutputFlag;         // Semantics variable 
 #endif
@@ -178,5 +178,5 @@
   Void          setOutputMark (Bool b) { m_bNeededForOutput = b;     }
   Bool          getOutputMark ()       { return m_bNeededForOutput;  }
- #if H_MV_HLS_7_VPS_P0300_27
+ #if H_MV
   Void          setPicOutputFlag(Bool b) { m_bPicOutputFlag = b;      }
   Bool          getPicOutputFlag()       { return m_bPicOutputFlag ;  }
Index: branches/HTM-11.1-dev0/source/Lib/TLibCommon/TComSlice.cpp
===================================================================
--- branches/HTM-11.1-dev0/source/Lib/TLibCommon/TComSlice.cpp	(revision 972)
+++ branches/HTM-11.1-dev0/source/Lib/TLibCommon/TComSlice.cpp	(revision 973)
@@ -4407,3 +4407,16 @@
   }
 }
-#endif
+
+Void Window::scaleOffsets( Int scal )
+{
+  if (! m_scaledFlag )
+  {
+    m_scaledFlag         = true; 
+    m_winLeftOffset     *= scal; 
+    m_winRightOffset    *= scal; 
+    m_winTopOffset      *= scal; 
+    m_winBottomOffset   *= scal; 
+  }
+}
+#endif
+
Index: branches/HTM-11.1-dev0/source/Lib/TLibCommon/TComSlice.h
===================================================================
--- branches/HTM-11.1-dev0/source/Lib/TLibCommon/TComSlice.h	(revision 972)
+++ branches/HTM-11.1-dev0/source/Lib/TLibCommon/TComSlice.h	(revision 973)
@@ -1246,15 +1246,5 @@
   Void          setScaledFlag(Bool flag)          { m_scaledFlag = flag;  } 
   Bool          getScaledFlag() const             { return m_scaledFlag;  } 
-  Void          scaleOffsets( Int scal )          
-  {
-    if (! m_scaledFlag )
-    {
-      m_scaledFlag         = true; 
-      m_winLeftOffset     *= scal; 
-      m_winRightOffset    *= scal; 
-      m_winTopOffset      *= scal; 
-      m_winBottomOffset   *= scal; 
-    }
-  }
+  Void          scaleOffsets( Int scal );
 #endif
   Void          setWindow(Int offsetLeft, Int offsetLRight, Int offsetLTop, Int offsetLBottom)
Index: branches/HTM-11.1-dev0/source/Lib/TLibCommon/TypeDef.h
===================================================================
--- branches/HTM-11.1-dev0/source/Lib/TLibCommon/TypeDef.h	(revision 972)
+++ branches/HTM-11.1-dev0/source/Lib/TLibCommon/TypeDef.h	(revision 973)
@@ -336,22 +336,8 @@
 #endif
 
-
-/////////////////////////////////////////////////////////////////////////////////////////
-///////////////////////////////////   HTM-11.0 Integrations                  //////////////////////////////
-/////////////////////////////////////////////////////////////////////////////////////////
-#if H_MV
-#define H0044_POC_LSB_NOT_PRESENT        1      ///< JCT3V-H0044: Add constraint checking on the value of poc_reset_idc and poc_lsb_val
-#define H0056_EOS_CHECKS                 1      ///< JCT3V-H0056: Put checks on handling EOS
-#endif
-/////////////////////////////////////////////////////////////////////////////////////////
-///////////////////////////////////   TBD                  //////////////////////////////
-/////////////////////////////////////////////////////////////////////////////////////////
-
-
-#define H_MV_HLS_8                           1 // General changes
-#define H_MV_HLS_7_VPS_P0300_27              1 // Output part only. (VPS/P0300/alt output layer flag) #27 Change alt output layer flag to be signalled within the loop of output layer sets, from JCTVC-P0300-v2. Decision: Adopt. 
-#define MV_FIX_DEP_TYPES                     1
-
-
+/////////////////////////////////////////////////////////////////////////////////
+///////////////////////////////////   MV_HEVC HLS  //////////////////////////////
+/////////////////////////////////////////////////////////////////////////////////
+// TBD: Check if integration is necessary. 
 #define H_MV_HLS7_GEN                        0  // General changes (not tested)
 
@@ -399,27 +385,4 @@
 //#define H_MV_HLS_8_MIS_Q0078_24  0 // #24 (MISC   /Q0078/scan and pic type) , Items 3 b,c and 4, clarifying which pictures in an output layer sets are applied the values of general_progressive_source_flag, general_interlaced_source_flag, general_non_packed_constraint_flag and general_frame_only_constraint_flag.
 //#define H_MV_HLS_7_HRD_P0138_6   0 //     (HRD/P0138/HRD parameters for bitstreams excluding) #6 Decision: Adopt (as revised in updated contribution, with the specification of a flag in the BP SEI (HRD/P0192/sub-DPB) #12 Establish sub-DPBs based on the representation format indicated at the VPS level. It was suggested that the expressed shared capacity limit would need to be less than or equal to the sum of the individual capacity limits. Decision: Adopt as modified. Further study is encouraged on profile/level constraint selections. 
-
-#define H_MV_HLS_8_SYN_Q0041_03    1   // #3  Syntax only (HS     /Q0041/hybrid scalability) The proposed text was endorsed, with non-editorial open issues considered as follows 
-:// #define H_MV_HLS_7_OTHER_P0187_1          0 // (OTHER/P0187/NoOutputOfPriorPicsFlag) #1 Inference of NoOutputOfPriorPicsFlag and proposes to take into account colour format and bit depth for the inference in addition to spatial resolution 
-#define H_MV_HLS_8_SYN_39_19       1   // #39 Syntax only + (PS/Q0165,Q0078/presence of num_add_output_layer_sets) proposal 2. change condition for presence of num_add_output_layer_sets to avoid sending it when there is only one layer set.
-#define H_MV_HLS_8_HRD_Q0101_04    1   // #4  (HRD    /Q0101/Bitstream part buffer) On Bitstream Partition Buffer. Decision (BF/Cleanup): Adopt (sub-proposals 111, refined as described).
-#define H_MV_HLS_8_PPS_NODOC_NN    1   // #NN (PPS    /NODOC/reserved flag): Add a flag in PPS for SHVC color gamut scalability
-#define H_MV_HLS_8_MIS_Q0177_47    1   // #47 (MISC   /Q0177/EOS NAL) proposal 2: clarification of description of end of sequence NAL unit
-#define H_MV_HLS_8_HRD_Q0182_05    1   // #5  (HRD    /Q0182/Bitstream part buffer) Decision (BF/Cleanup/Ed): Adopted (such that we use the main proposal for sub-proposal 1, and alternative 1 for sub-proposal 2). + #define H_MV_HLS_8_HRD_Q0182_06  0 // #6  (HRD    /Q0182/hrd_parameters) Sub-proposal 2 Alternative 1: Clarify that the VPS hrd_parameters( ) syntax structure that applies to the layer set which is associated with the bitstream partition initial arrival time SEI message is used to determine the lengths of the nal_initial_arrival_delay[ i ] and vcl_initial_arrival_delay[ i ] syntax elements. Decision (BF/Cleanup/Ed): Adopted alternative 1 for sub-proposal 2
-#define H_MV_HLS_8_SPS_NODOC_48    1   // #48 (SPS    /NODOC/PPS extension cleanups) Alignment with RExt
-#define H_MV_HLS_8_DBP_NODOC_42    1   // #42 (DBP    /NODOC/sharing) Remove sub-DPB sharing and processes that mark inter-layer reference pictures as "unused for reference"
-#define H_MV_HLS_8_RPS_Q0100_36    1   // #36 (RPS    /Q0100/constraint to semantics) v3, add constraint to RPS semantics
-#define H_MV_HLS_8_POC_Q0142_32    1   // #32 (POC    /Q0142/poc_lsb_not_present_flag) v2: Add semantic constraints to poc_lsb_not_present_flag.
-#define H_MV_HLS_8_HRD_Q0102_08    1   // #8  (HRD    /Q0102/sps_max_dec_pic_buffering_minus1) Sub-proposal 2: A semantics bug fix is proposed for sps_max_dec_pic_buffering_minus1 as a bug-fix. In discussion, the first option was preferred. Decision (BF/Cleanup/Ed.): Adopt. 
-#define H_MV_HLS_8_MIS_Q0102_30    1   // #30 (MISC   /Q0102/loop index) proposal 3, change the max loop index for signaling bit rate and pic rate info to MaxSubLayersInLayerSetMinus1
-#define H_MV_HLS_8_GEN_Q0108_13    1   // #13 (GEN    /Q0108/STSA TemporalId) Agreed to remove restriction from proposal 2, to allow STSA pics of non-base layers to have TemporalId equal to 0.
-#define H_MV_HLS_8_PMS_Q0195_21    1   // #21 (PS     /Q0195/constraint update_ref_format_flag) proposal 2: add a semantic constraint on the value of update_ref_format_flag
-#define H_MV_HLS_8_PMS_Q0195_20    1   // #20 (PS     /Q0195/syntax table rep format) proposal 1: restructure syntax table for sending of rep_format_idx_present_flag and vps_num_ref_formats_minus1
-#define H_MV_HLS_8_MIS_Q0177_22    1   // #22 (MISC   /Q0177/inference sps_temporal_id_nesting_flag) proposal 1: modify inference rule for sps_temporal_id_nesting_flag when it is not present
-#define H_MV_HLS_8_PMS_Q0165_18    1   // #18 (PS     /Q0165/disallow an empty layer set) proposal 1.a), add a constraint to disallow an empty layer set
-#define H_MV_HLS_8_RPS_Q0060_17    1   // #17 (RPS    /Q0060/condition refLayerPicIdc) Proposal 2: Add a condition to the derivation of refLayerPicIdc of (TemporalId == 0)
-#define H_MV_HLS_8_POC_Q0146_15    1   // #15 (POC    /Q0146/inference of poc_msb_val_present_flag) Proposal 1.1: Change inference rule in semantics of poc_msb_val_present_flag
-
-
 
 /////////////////////////////////////////////////////////////////////////////////////////
Index: branches/HTM-11.1-dev0/source/Lib/TLibDecoder/NALread.cpp
===================================================================
--- branches/HTM-11.1-dev0/source/Lib/TLibDecoder/NALread.cpp	(revision 972)
+++ branches/HTM-11.1-dev0/source/Lib/TLibDecoder/NALread.cpp	(revision 973)
@@ -127,5 +127,5 @@
   else
   {
-#if H_MV_HLS_8_GEN_Q0108_13
+#if H_MV
 
     // If nal_unit_type is in the range of BLA_W_LP to RSV_IRAP_VCL23, inclusive, i.e. the coded 
Index: branches/HTM-11.1-dev0/source/Lib/TLibDecoder/TDecCAVLC.cpp
===================================================================
--- branches/HTM-11.1-dev0/source/Lib/TLibDecoder/TDecCAVLC.cpp	(revision 972)
+++ branches/HTM-11.1-dev0/source/Lib/TLibDecoder/TDecCAVLC.cpp	(revision 973)
@@ -1962,5 +1962,5 @@
   }
   
-#if H0044_POC_LSB_NOT_PRESENT
+#if H_MV
     UInt slicePicOrderCntLsb = 0;
 #endif
@@ -2016,7 +2016,4 @@
 
 #if H_MV
-#if !H0044_POC_LSB_NOT_PRESENT
-    UInt slicePicOrderCntLsb = 0;
-#endif
     Int iPOClsb = slicePicOrderCntLsb;  // Needed later
     if ( (rpcSlice->getLayerId() > 0 && !vps->getPocLsbNotPresentFlag( rpcSlice->getLayerIdInVps())) || !rpcSlice->getIdrPicFlag() )
@@ -2625,10 +2622,9 @@
     rpcSlice->checkPocResetIdc(); 
 
-#if H0044_POC_LSB_NOT_PRESENT
     if ( rpcSlice->getVPS()->getPocLsbNotPresentFlag(rpcSlice->getLayerId()) && slicePicOrderCntLsb > 0 )
     {
       assert( rpcSlice->getPocResetIdc() != 2 );
     }
-#endif
+
     if( rpcSlice->getPocResetIdc() !=  0 )
     {
Index: branches/HTM-11.1-dev0/source/Lib/TLibDecoder/TDecCAVLC.h
===================================================================
--- branches/HTM-11.1-dev0/source/Lib/TLibDecoder/TDecCAVLC.h	(revision 972)
+++ branches/HTM-11.1-dev0/source/Lib/TLibDecoder/TDecCAVLC.h	(revision 973)
@@ -109,5 +109,5 @@
   Void  parseProfileTier    (ProfileTierLevel *ptl);
   Void  parseHrdParameters  (TComHRD *hrd, Bool cprms_present_flag, UInt tempLevelHigh);
-#if H_MV_HLS_8_HRD_Q0102_08
+#if H_MV
   Void  parseSliceHeader    ( TComSlice*& rpcSlice, ParameterSetManagerDecoder *parameterSetManager, Int targetOlsIdx);
 #else
Index: branches/HTM-11.1-dev0/source/Lib/TLibDecoder/TDecEntropy.h
===================================================================
--- branches/HTM-11.1-dev0/source/Lib/TLibDecoder/TDecEntropy.h	(revision 972)
+++ branches/HTM-11.1-dev0/source/Lib/TLibDecoder/TDecEntropy.h	(revision 973)
@@ -77,5 +77,5 @@
 #endif
 
-#if H_MV_HLS_8_HRD_Q0102_08
+#if H_MV
   virtual Void parseSliceHeader          ( TComSlice*& rpcSlice, ParameterSetManagerDecoder *parameterSetManager, Int targetOlsIdx )       = 0;
 #else
@@ -164,5 +164,5 @@
   Void    decodePPS                   ( TComPPS* pcPPS )    { m_pcEntropyDecoderIf->parsePPS(pcPPS);                    }
 #endif
-#if H_MV_HLS_8_HRD_Q0102_08
+#if H_MV
   Void    decodeSliceHeader           ( TComSlice*& rpcSlice, ParameterSetManagerDecoder *parameterSetManager, Int targetOlsIdx)  { m_pcEntropyDecoderIf->parseSliceHeader(rpcSlice, parameterSetManager, targetOlsIdx );         }
 #else
Index: branches/HTM-11.1-dev0/source/Lib/TLibDecoder/TDecGop.cpp
===================================================================
--- branches/HTM-11.1-dev0/source/Lib/TLibDecoder/TDecGop.cpp	(revision 972)
+++ branches/HTM-11.1-dev0/source/Lib/TLibDecoder/TDecGop.cpp	(revision 973)
@@ -248,13 +248,4 @@
     calcAndPrintHashStatus(*rpcPic->getPicYuvRec(), hash);
   }
-
-#if !H_MV_HLS_7_VPS_P0300_27
-#if SETTING_PIC_OUTPUT_MARK
-  rpcPic->setOutputMark(rpcPic->getSlice(0)->getPicOutputFlag() ? true : false);
-#else
-  rpcPic->setOutputMark(true);
-#endif
-  rpcPic->setReconMark(true);
-#endif
 }
 
Index: branches/HTM-11.1-dev0/source/Lib/TLibDecoder/TDecTop.cpp
===================================================================
--- branches/HTM-11.1-dev0/source/Lib/TLibDecoder/TDecTop.cpp	(revision 972)
+++ branches/HTM-11.1-dev0/source/Lib/TLibDecoder/TDecTop.cpp	(revision 973)
@@ -371,8 +371,6 @@
   m_isNoOutputPriorPics = false;
 #endif
-#if H0056_EOS_CHECKS
+#if H_MV
   m_isLastNALWasEos = false;
-#endif
-#if H_MV
   m_layerId = 0;
   m_viewId = 0;
@@ -382,5 +380,5 @@
   m_pcCamParsCollector = 0;
 #endif
-#if H_MV_HLS_8_HRD_Q0102_08
+#if H_MV
   m_targetOptLayerSetIdx = -1; 
 #endif
@@ -511,5 +509,5 @@
     {
       rpcPic->setOutputMark(false);
-#if H_MV_HLS_7_VPS_P0300_27
+#if H_MV
       rpcPic->setPicOutputFlag(false); 
 #endif
@@ -521,5 +519,5 @@
     {
       rpcPic->setOutputMark(false);
-#if H_MV_HLS_7_VPS_P0300_27
+#if H_MV
       rpcPic->setPicOutputFlag(false); 
 #endif
@@ -568,7 +566,4 @@
   TComSlice::markIvRefPicsAsShortTerm( m_refPicSetInterLayer0, m_refPicSetInterLayer1 );  
   TComSlice::markCurrPic( pcPic ); 
-#if !H_MV_HLS_8_DBP_NODOC_42
-  TComSlice::markIvRefPicsAsUnused   ( m_ivPicLists, targetDecLayerIdSet, m_parameterSetManagerDecoder.getActiveVPS(), m_layerId, poc ); 
-#endif
 #endif
   m_bFirstSliceInPicture  = true;
@@ -590,5 +585,5 @@
     {
       pcPicTmp->setOutputMark(false);
-#if H_MV_HLS_7_VPS_P0300_27
+#if H_MV
       pcPicTmp->setPicOutputFlag(false); 
 #endif
@@ -670,13 +665,7 @@
   }
 
-#if H_MV_HLS_8_HRD_Q0102_08
+#if H_MV
   sps->inferSpsMaxDecPicBufferingMinus1( vps, m_targetOptLayerSetIdx, getLayerId(), false ); 
-#endif
-
-#if H_MV_HLS_8_RPS_Q0100_36
   vps->inferDbpSizeLayerSetZero( sps, false ); 
-#endif
-
-#if H_MV_HLS_8_PMS_Q0195_21
   // When the value of vps_num_rep_formats_minus1 in the active VPS is equal to 0
   if ( vps->getVpsNumRepFormatsMinus1() == 0 )
@@ -685,11 +674,5 @@
     assert( sps->getUpdateRepFormatFlag() == false ); 
   }
-#endif
-
-#if H_MV_HLS_8_RPS_Q0100_36
   sps->checkRpsMaxNumPics( vps, getLayerId() ); 
-#endif
-
-#if H_MV_HLS_8_MIS_Q0177_22
   if( m_layerId > 0 )
   {
@@ -787,10 +770,5 @@
   m_apcSlicePilot->setRefPicSetInterLayer( & m_refPicSetInterLayer0, &m_refPicSetInterLayer1 ); 
   m_apcSlicePilot->setLayerId( nalu.m_layerId );
-#endif
-
-#if H_MV_HLS_8_HRD_Q0102_08
   m_cEntropyDecoder.decodeSliceHeader (m_apcSlicePilot, &m_parameterSetManagerDecoder, m_targetOptLayerSetIdx );
-#else
-  m_cEntropyDecoder.decodeSliceHeader (m_apcSlicePilot, &m_parameterSetManagerDecoder);
 #endif
   // set POC for dependent slices in skipped pictures
@@ -1340,5 +1318,5 @@
     case NAL_UNIT_VPS:
       xDecodeVPS();
-#if H0056_EOS_CHECKS
+#if H_MV
       m_isLastNALWasEos = false;
 #endif
@@ -1355,5 +1333,5 @@
     case NAL_UNIT_PREFIX_SEI:
     case NAL_UNIT_SUFFIX_SEI:
-#if H0056_EOS_CHECKS
+#if H_MV
       if ( nalu.m_nalUnitType == NAL_UNIT_SUFFIX_SEI )
       {
@@ -1380,5 +1358,5 @@
     case NAL_UNIT_CODED_SLICE_RASL_N:
     case NAL_UNIT_CODED_SLICE_RASL_R:
-#if H0056_EOS_CHECKS
+#if H_MV
       if (nalu.m_nalUnitType == NAL_UNIT_CODED_SLICE_TRAIL_R || nalu.m_nalUnitType == NAL_UNIT_CODED_SLICE_TRAIL_N ||
           nalu.m_nalUnitType == NAL_UNIT_CODED_SLICE_TSA_R || nalu.m_nalUnitType == NAL_UNIT_CODED_SLICE_TSA_N ||
@@ -1393,6 +1371,5 @@
         m_isLastNALWasEos = false;
       }
-#endif
-#if H_MV
+
       return xDecodeSlice(nalu, iSkipFrame, iPOCLastDisplay, newLayerFlag, sliceSkippedFlag );
 #else
@@ -1401,5 +1378,5 @@
       break;
     case NAL_UNIT_EOS:
-#if H0056_EOS_CHECKS
+#if H_MV
       assert( m_isLastNALWasEos == false );
       //Check layer id of the nalu. if it is not 0, give a warning message and just return without doing anything.
Index: branches/HTM-11.1-dev0/source/Lib/TLibDecoder/TDecTop.h
===================================================================
--- branches/HTM-11.1-dev0/source/Lib/TLibDecoder/TDecTop.h	(revision 972)
+++ branches/HTM-11.1-dev0/source/Lib/TLibDecoder/TDecTop.h	(revision 973)
@@ -195,7 +195,5 @@
   Bool*                    m_layerInitilizedFlag; // initialization Layers
   static ParameterSetManagerDecoder m_parameterSetManagerDecoder;  // storage for parameter sets 
-#if  H_MV_HLS_8_HRD_Q0102_08
   Int                      m_targetOptLayerSetIdx; 
-#endif
 #else
   ParameterSetManagerDecoder m_parameterSetManagerDecoder;  // storage for parameter sets 
@@ -234,5 +232,5 @@
   Bool                    m_craNoRaslOutputFlag;    //value of variable NoRaslOutputFlag of the last CRA pic
 #endif
-#if H0056_EOS_CHECKS
+#if H_MV
   Bool                    m_isLastNALWasEos;
 #endif
@@ -271,7 +269,5 @@
   Void  deletePicBuffer();
 #if H_MV
-#if H_MV_HLS_7_VPS_P0300_27
   TComVPS* getActiveVPS() { return m_parameterSetManagerDecoder.getActiveVPS( ); }
-#endif
   TComSPS* getActiveSPS() { return m_parameterSetManagerDecoder.getActiveSPS( m_layerId ); }
 #else
@@ -296,7 +292,5 @@
   Void                    setIvPicLists         ( TComPicLists* picLists) { m_ivPicLists = picLists; }
   Void                    setLayerInitilizedFlags( Bool* val )    { m_layerInitilizedFlag = val; }
-#if  H_MV_HLS_8_HRD_Q0102_08
   Void                    setTargetOptLayerSetIdx( Int targetOptLayerSetIdx ) { m_targetOptLayerSetIdx = targetOptLayerSetIdx; }    
-#endif
   TComVPS*                getPrefetchedVPS      ()               { return m_parameterSetManagerDecoder.getPrefetchedVPS( 0 ); }; //Assuming that currently only one VPS is present. 
   Int                     getCurrPoc            ()               { return m_apcSlicePilot->getPOC(); }
Index: branches/HTM-11.1-dev0/source/Lib/TLibEncoder/TEncGOP.cpp
===================================================================
--- branches/HTM-11.1-dev0/source/Lib/TLibEncoder/TEncGOP.cpp	(revision 972)
+++ branches/HTM-11.1-dev0/source/Lib/TLibEncoder/TEncGOP.cpp	(revision 973)
@@ -2325,7 +2325,4 @@
       std::vector<Int> temp; 
       TComSlice::markCurrPic( pcPic ); 
-#if !H_MV_HLS_8_DBP_NODOC_42
-      TComSlice::markIvRefPicsAsUnused   ( m_ivPicLists, temp, pcPic->getSlice(0)->getVPS(), m_layerId, pcPic->getPOC() ); 
-#endif
 #endif
       m_bFirst = false;
Index: branches/HTM-11.1-dev0/source/Lib/TLibEncoder/TEncTop.cpp
===================================================================
--- branches/HTM-11.1-dev0/source/Lib/TLibEncoder/TEncTop.cpp	(revision 972)
+++ branches/HTM-11.1-dev0/source/Lib/TLibEncoder/TEncTop.cpp	(revision 973)
@@ -698,15 +698,7 @@
   m_cSPS.setSpsScalingListRefLayerId      ( 0              ); 
   m_cSPS.setSpsExtensionPresentFlag              ( true ); 
-#if H_MV_HLS_8_SPS_NODOC_48
   m_cSPS.setSpsMultilayerExtensionFlag    ( true ); 
-#else
-  m_cSPS.setSpsExtensionTypeFlag          ( PS_EX_T_MV ,true ); 
-#endif
 #if H_3D
-#if H_MV_HLS_8_SPS_NODOC_48
   m_cSPS.setSps3dExtensionFlag            ( true ); 
-#else
-  m_cSPS.setSpsExtensionTypeFlag          ( PS_EX_T_3D ,true ); 
-#endif
 #endif
 #endif
@@ -777,5 +769,5 @@
     m_cSPS.setNumReorderPics(m_numReorderPics[i], i);
   }
-#if H_MV_HLS_8_HRD_Q0102_08
+#if H_MV
   for ( Int ols = 0; ols < m_cVPS->getNumOutputLayerSets(); ols++)
   {
@@ -788,8 +780,5 @@
   }
 
-#if H_MV_HLS_8_RPS_Q0100_36
   m_cVPS->inferDbpSizeLayerSetZero( &m_cSPS, true ); 
-#endif
-
 #endif
   m_cSPS.setPCMBitDepthLuma (g_uiPCMBitDepthLuma);
@@ -853,14 +842,7 @@
   m_cPPS.setPPSId( getLayerIdInVps() );
   m_cPPS.setSPSId( getLayerIdInVps() );
-#if H_MV_HLS_8_SPS_NODOC_48
   m_cPPS.setPpsMultilayerExtensionFlag    ( true ); 
 #if H_3D
   m_cPPS.setPps3dExtensionFlag            ( true ); 
-#endif
-#else
-  m_cPPS.setPpsExtensionTypeFlag          ( PPS_EX_T_MV ,true ); 
-#if H_3D
-  m_cPPS.setPpsExtensionTypeFlag          ( PPS_EX_T_3D ,true ); 
-#endif
 #endif
 #endif
